#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include <Fl/Fl.H>
#include <Fl/Fl_Double_Window.H>
#include <Fl/Fl_Button.H>
#include <Fl/fl_draw.H>

static Fl_Double_Window *first_wind  = (Fl_Double_Window *)0;
static Fl_Double_Window *second_wind  = (Fl_Double_Window *)0;
static Fl_Button* but1 = 0;
static Fl_Button* but2 = 0;
static Fl_Button* but3 = 0;
static Fl_Button* but4 = 0;

static void cb_Okay(Fl_Button*, void*) {
	first_wind->hide();
	second_wind->hide();
}

static void cb_hide(Fl_Button*, void*) {
	second_wind->hide();
}

static void cb_show(Fl_Button*, void*) {
	second_wind->show();
}

int main(int argc, char **argv) {
	first_wind = new Fl_Double_Window(100, 100, 260, 150, "Test Window");
	first_wind->begin();

		but1 = new Fl_Button(20, 119, 82, 27, "exit");
		but1->callback((Fl_Callback*)cb_Okay);

		but2 = new Fl_Button(120, 82, 82, 27, "Hide");
		but2->callback((Fl_Callback*)cb_hide);

		but3 = new Fl_Button(120, 119, 82, 27, "Show");
		but3->callback((Fl_Callback*)cb_show);

	first_wind->end();
	first_wind->show(argc, argv);

	second_wind = new Fl_Double_Window(400, 100, 260, 150, "Test Window");
	second_wind->begin();

		but4 = new Fl_Button(120, 119, 82, 27, "Hide");
		but4->callback((Fl_Callback*)cb_hide);
	
	second_wind->end();
	second_wind->show();

	char *title = (char *)malloc(128);
	sprintf(title, "Revised label");
	
// Switch behaviours...
#define USE_COPY_LABEL 1
//#undef USE_COPY_LABEL

#ifdef USE_COPY_LABEL
	second_wind->copy_label(title);
	free(title);
#else // STATIC_LABEL
	second_wind->label(title);
#endif	
	return Fl::run();
}
/* End of File */
